# Delete a Diamond

`DELETE https://api.cademi.com.br/api/v3/automations/diamond/{diamond_id}`

Operation ID: `diamonds.delete` · API v3

Moves the Diamond to the trash.

A Diamond that still has memberships cannot be deleted, and deletion cannot be forced. Such requests return the `state_conflict` error code.

Required permissions: `diamonds.delete`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `diamond_id` | path | string | yes |  |

## Responses

### 204

The Diamond was moved to the trash.

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The Diamond was not found or is not accessible with the current credentials.

Body: Error.

### 409

The Diamond still has memberships, or Diamond automations are not enabled for the current account.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
